#!/bin/bash
set -euo pipefail

N2W='/path/to/newsletter-to-web'

# I used dav2fs to mount a DAV filesystem, so that the feed is
# automatically published.
#
# This symlinked the output/ folder to dav/
#mount $(pwd)/dav || true


# Change the credentials
${N2W} fetch-from-imap -s mail.example.org --username newsletters@example.org --password 'SuperSecret'

# -i: Include the full text
# newsletters.example.org: hostname where the feed is hosted
${N2W} build-feed -i newsletters.example.org
